function [m1, s1, m2, s2, m3, s3,...
          a, b, c, d,varcov_p,...
          X1t, X2t, X3t,lambda,...
          f1,f2,f3,...
          F1,F2,F3,...
          F1inv,F2inv,F3inv,...
          f1or,f2or,f3or,...
          F1invor,F2invor,F3invor] = fitBoxCox(X1, X2, X3)
% Box-Cox Transformation
        [lambda, X1t, X2t, X3t, H] = boxcox_roc3(X1, X2, X3);
        varcov_all = -inv(H);
        varcov_p = varcov_all(1:6, 1:6);

% Calculate Normal Parameters
% Note: standard deviation estimates are the MLEs
        s1 = std(X1t,1);    s2 = std(X2t,1);    s3 = std(X3t,1);
        m1 = mean(X1t);     m2 = mean(X2t);     m3=mean(X3t);

% Calculate PDFs on the original scale
        f1or = @(t) normpdf((t.^lambda-1)./lambda, m1, s1).*t.^(lambda-1);
        f2or = @(t) normpdf((t.^lambda-1)./lambda, m2, s2).*t.^(lambda-1);
        f3or = @(t) normpdf((t.^lambda-1)./lambda, m3, s3).*t.^(lambda-1);
        F1invor = @(t) (norminv(t, m1, s1).*lambda+1).^(1./lambda);
        F2invor = @(t) (norminv(t, m2, s2).*lambda+1).^(1./lambda);
        F3invor = @(t) (norminv(t, m3, s3).*lambda+1).^(1./lambda);
% Calculate Tri-Normal Parameters                
        a=s2/s1; b=(m1 - m2)./s1;
        c=s2/s3; d=(m3 - m2)./s3;
% Estimate transformed PDFs                
        f1 = @(t) normpdf(a.*t - b);
        f2 = @(t) normpdf(t);
        f3 = @(t) normpdf(c.*t - d);
% Estimate transformed CDFs                 
        F1 = @(t) normcdf(a.*t - b);
        F2 = @(t) normcdf(t);
        F3 = @(t) normcdf(c.*t - d);
% Estimate transformed Inverse CDFs                
        F1inv = @(t) (b+norminv(t))./a;
        F2inv = @(t) norminv(t);
        F3inv = @(t) (d+norminv(t))./c;  
end

