function [m1, s1, m2, s2, m3, s3,...
          a, b, c, d,varcov_p,...
          f1,f2,f3,...
          F1,F2,F3,...
          F1inv,F2inv,F3inv,...
          f1or,f2or,f3or,...
          F1or,F2or,F3or,...
          F1invor,F2invor,F3invor] = fitNormals(X1, X2, X3)

% Calculate Normal Parameters
        s1 = std(X1,1);  s2 = std(X2,1);  s3 = std(X3,1);
        m1 = mean(X1);   m2 = mean(X2);   m3=mean(X3);
% Estimate original PDFs under the normal assumption
        f1or = @(t) normpdf(t, m1, s1);
        f2or = @(t) normpdf(t, m2, s2);
        f3or = @(t) normpdf(t, m3, s3);
% Estimate original CDFs under the normal assumption
        F1or = @(t) normcdf(t, m1, s1);
        F2or = @(t) normcdf(t, m2, s2);
        F3or = @(t) normcdf(t, m3, s3);       
% Estimate original inverse CDFs under the normal assumption
        F1invor = @(t) norminv(t, m1, s1);
        F2invor = @(t) norminv(t, m2, s2);
        F3invor = @(t) norminv(t, m3, s3);
% Calculate Tri-normal Parameters
        a=s2/s1; b=(m1 - m2)./s1;
        c=s2/s3; d=(m3 - m2)./s3;
% Estimate transformed PDFs under the normal assumption
        f1 = @(t) normpdf(a.*t - b);
        f2 = @(t) normpdf(t);
        f3 = @(t) normpdf(c.*t - d);
% Estimate transformed CDFs under the normal assumption                
        F1 = @(t) normcdf(a.*t - b);
        F2 = @(t) normcdf(t);
        F3 = @(t) normcdf(c.*t - d);
% Estimate inverse of the transformed CDFs under the normal assumption                
        F1inv = @(t) (norminv(t) + b)./a;
        F2inv = @(t)  norminv(t);
        F3inv = @(t) (norminv(t) + d)./c;
      
        n1 = length(X1); n2 = length(X2); n3 = length(X3);
        % Variance estimates of each trinormal parameter estimate
        var_m1 = s1.^2./n1;
        var_m2 = s2.^2./n2;
        var_m3 = s3.^2./n3;
        var_s1 = s1.^2./2/(n1-1);
        var_s2 = s2.^2./2/(n2-1);
        var_s3 = s3.^2./2/(n3-1);
        % Variance-Covariance Matrix of the normal parameters
        varcov_p = [var_m1      0      0      0      0      0;...
                         0 var_s1      0      0      0      0;...
                         0      0 var_m2      0      0      0;...
                         0      0      0 var_s2      0      0;...
                         0      0      0      0 var_m3      0;...
                         0      0      0      0      0 var_s3];
end

